package parsing;

import syntax.headers.*;


public abstract class Header extends ParseNode 
{
	

	
	public static Header read(Stream stream)
	{
		try {
			return Definition.read(stream);
		}
		catch (ParsingException pe1) {
			try {
				return NamedFunctionDef.read(stream);
			}
			catch (ParsingException pe2) {
				ParsingException def = new ParsingException(stream, "Line could not be parsed.");
				throw ParsingException.latest(new ParsingException[] {def, pe1, pe2});
							}
		}
	}

}
