package syntax.expressions;

import parsing.*;




	

public class RightHandSide extends ParseNode 
{
	
	public static RightHandSide read(Stream stream)
	{
		try {
			return CaseOf.read(stream);
		}
		catch (ParsingException pe1) {
			try {
				return Expression.read(stream, 0);
			}
			catch (ParsingException pe2) {	
				ParsingException def = new ParsingException(stream, "Expression or case expected.");
				throw ParsingException.latest(new ParsingException[] {def, pe1, pe2});
			}
		}
	}
	
	

}
